fluent-plugin-wendelin
======================

This is output plugin for [Fluentd][] to forward data to [Wendelin][] system.

[Fluentd]:  http://fluentd.org/
[Wendelin]: http://wendelin.io/


Configuration
-------------

A sample configuration to setup ingestion of data for a tag to Wendelin:

```apache
<match your.sensor.tag>
  @type wendelin
  @id wendelin_out

  streamtool_uri    <Wendelin_URL>/erp5/portal_ingestion_policies/<YOUR_INGESTION_POLICY_ID>
  user      <your_wendelin_user>
  password  <your_wendelin_password>
  use_keep_alive <true/false>

  # all parameters of BufferedOutput & Output classes are supported too, e.g.
  # `buffer_type`, `flush_interval`, `num_threads`, `log_level`, etc - see
  # their code near:
  #
  #   https://github.com/fluent/fluentd/blob/master/lib/fluent/output.rb#L182
  #
  # logging setup description:
  #
  #   http://docs.fluentd.org/articles/logging

  buffer_type       memory
  #buffer_path       "#{ENV['HOME']/var}"
  flush_interval    5s
</match>
```

See *example/to_wendelin.conf* for fully setup example.


TODO
----

- HTTPS certificates are currently not verified.
- X.509 certificates instead of user / password.
- cleanup
